%define anolis_release 2
%{bcond_with perl_Data_Peek_enables_option_test}

Name:           perl-Data-Peek
Version:        0.52
Release:        %{anolis_release}%{?dist}
Summary:        A collection of low-level debug functions
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Data-Peek
Source0:        https://cpan.metacpan.org/authors/id/H/HM/HMBRAND/Data-Peek-%{version}.tgz

BuildRequires:  coreutils findutils gcc make
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(bytes) perl(Config) perl(Data::Dumper)
BuildRequires:  perl(XSLoader) perl(vars) perl(warnings) perl(Test::More) >= 0.90
BuildRequires:  perl(Test::Warnings) perl(Test::More) >= 0.90
%if %{with perl_Data_Peek_enables_option_test}
BuildRequires:  perl(Perl::Tidy) >= 20120714 perl(Test::Pod) >= 1.00 perl(Test::Pod::Coverage)
%endif

%{?perl_default_filter}

%description
Perl-Data-Peek is a module in Perl that provides a set of utilities for
inspecting Perl data structures. With this module, developers can easily
view the contents of complex data structures, such as arrays or hashes,
and get a better understanding of how they are organized.

Data::Peek is useful for debugging Perl applications and can help developers
to identify and fix issues in their code. It provides output in a format
that is easy to read, and it can display a wide range of data types,
including references, objects, and even code.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Data-Peek-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{make_install}
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Data*
%{perl_vendorarch}/DP.pm
%{_mandir}/man3/*

%files doc
%doc ChangeLog README CONTRIBUTING.md

%changelog
* Tue Apr 11 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 0.52-2
- optimize spec

* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.52-1
- remove versioned MODULE_COMPAT_ requires
- update to version 0.52

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.51-2
- rebuild with perl 5.36.0

* Fri May 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.51-1
- Init from upstream version 0.51

